#!/bin/sh

cd $DEST/usr/local/sbin

##########################################################
# Generating remountrw
echo Generating remountrw
cat << EOF > remountrw
#!/bin/sh
mount -o remount,rw,noatime /
EOF

chmod +x remountrw


##########################################################
# Generating remountro
echo  Generating remountro
cat << EOF > remountro
#!/bin/sh
mount -o remount,ro /
EOF

chmod +x remountro


##########################################################
# Generating fastreboot
echo Generating fastreboot
cat << EOF > fastreboot
#!/bin/sh
/usr/local/sbin/remountro
reboot -d -f -i
EOF

chmod +x fastreboot

##########################################################
# Generating remove.docs
echo Generating remove.docs
cat << EOF > remove.docs
#!/bin/sh
rm -rf /usr/share/doc/*
rm -rf /usr/share/man/*
rm -rf /var/lib/apt/lists/security*
rm -rf /var/lib/apt/lists/debian*
rm -f /var/cache/apt/pkgcache.bin /var/cache/apt/srcpkgcache.bin
rm -f /var/lib/dpkg/available-old /var/lib/dpkg/status-old
rm -f /var/cache/debconf/config.dat-old /var/cache/debconf/templates.dat-old

apt-get clean > /dev/null
find /var/lib/apt/lists -type f \( -name "*Packages" -o -name "*Sources" \)  -exec rm -f '{}' ';' -exec touch '{}' ';' 2>/dev/null
dpkg --clear-avail > /dev/null
rm -f /var/cache/apt/*.bin > /dev/null
apt-cache gencaches > /dev/null

find /usr/share/locale -name "*.mo" -exec rm '{}' ';'  2>/dev/null
find /usr/share/ -name "*.info.gz" -exec rm '{}' ';'  2>/dev/null
find /usr/share/locale -path '*/en' -mindepth 1 -maxdepth 2 -prune -o -print \
	-exec rm -rf '{}' ';' 2>/dev/null >/dev/null
rm -f /var/lib/dpkg/info/*.md5sums
rm -f /var/lib/dpkg/info/*.postinst

EOF

chmod +x remove.docs

##########################################################
MOUNT_PROC_SH=mount-proc.sh
# Generating $MOUNT_PROC_SH
echo "Generating $MOUNT_PROC_SH"
cat << EOF > $MOUNT_PROC_SH
#!/bin/sh
mount -t proc none /proc
`echo \$\@`
umount /proc
EOF

chmod +x $MOUNT_PROC_SH

##########################################################
cd $DEST/etc

##########################################################
# Generating /etc/fstab
echo Generating /etc/fstab
cat << EOF > fstab
/dev/hda1       /       ext2    defaults,noatime,rw     0       0
proc            /proc   proc    defaults                0       0
tmpfs           /rw     tmpfs   defaults,size=8M        0       0
EOF


##########################################################
# Generating /etc/network/interfaces
echo Generating /etc/network/interfaces
cat << EOF >> network/interfaces
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

#auto wlan0
#iface wlan0 inet static
#        address 10.1.10.1
#        netmask 255.255.255.0
#        broadcast 10.1.10.255
#        up iwconfig wlan0 essid voyage mode Master
# 	 up nat.sh wlan0 eth0 "10.1.10.0/24"

#auto ath0
#iface ath0 inet static
#        address 10.1.20.1
#        netmask 255.255.255.0
#        broadcast 10.1.20.255
#        #pre-up wlanconfig ath create wlandev wifi1 wlanmode ap
#         madwifi-base wifi1
#         wireless-mode Master
#         wireless-mode Adhoc
#         wireless-mode Managed
#        up iwpriv ath0 mode 3
#        up iwconfig ath0 mode master
#        up iwconfig ath0 essid voyage
#        up iwconfig ath0 txpower auto
#        up iwconfig ath0 enc off
#        up iwconfig ath0 rate auto
#        up nat.sh ath0 eth0 "10.1.20.0/24"

#auto eth1
#iface eth1 inet static
#       address 10.1.20.1
#       netmask 255.255.255.0
#       broadcast 10.1.20.255

#auto eth2
#iface eth2 inet static
#       address 10.1.30.1
#       netmask 255.255.255.0
#       broadcast 10.1.30.255

#auto eth3
#iface eth3 inet static
#       address 10.1.40.1
#       netmask 255.255.255.0
#       broadcast 10.1.40.255

##########################################################
#	Sample WDS Bridge Settings

# madwifi-ng WDS Bridge
#auto br0
#iface br0 inet static
#       address 192.168.1.2
#       netmask 255.255.255.0
#       network 192.168.1.0
#       broadcast 192.168.1.255
#       gateway 192.168.1.1
#       bridge_ports eth0 ath1 ath0
#       pre-up wlanconfig ath0 create wlandev wifi0 wlanmode ap
#       pre-up wlanconfig ath1 create wlandev wifi0 wlanmode wds
#       pre-up iwconfig ath0 essid "voyage-wds" channel 1
#       pre-up iwpriv ath1 wds_add AA:BB:CC:DD:EE:FF
#       pre-up iwpriv ath1 wds 1
#       up iwpriv ath0 mode 3
#       post-down wlanconfig ath0 destroy
#       post-down wlanconfig ath1 destroy

# hostap WDS Bridge
#auto br0
#iface br0 inet static
#        address 192.168.1.2
#        netmask 255.255.255.0
#        network 192.168.1.0
#        broadcast 192.168.1.255
#        gateway 192.168.1.1
#        bridge_ports eth0 wlan0 wlan0wds0
#        pre-up iwconfig wlan0 mode Master essid voyage-wds channel 1
#        pre-up iwpriv wlan0 wds_add AA:BB:CC:DD:EE:FF
#        #prism2_param wlan0 autom_ap_wds 1
#        #prism2_param wlan0 other_ap_policy 1

##########################################################
#	Sample Ad-hoc Settings

# madwifi-ng Ad-hoc
#auto ath0
#iface ath0 inet static
#       address 10.1.10.1
#       netmask 255.255.255.0
#       broadcast 10.1.10.255
#       #gateway 10.1.10.1
#       #pre-up wlanconfig ath create wlandev wifi0 wlanmode adhoc
#       madwifi-base wifi0
#       wireless-channel 1
#       wireless-essid voyage-adhoc
#       wireless-mode Ad-hoc
#		# NAT not needed for node
#       up nat.sh ath0 eth0 "10.1.10.0/24"

# hostap Ad-hoc 
#auto wlan0
#iface wlan0 inet static
#       address 10.1.10.1
#       netmask 255.255.255.0
#       broadcast 10.1.10.255
#		#gateway 10.1.10.1
#       up iwconfig wlan0 essid voyage-adhoc mode Ad-hoc
#		# NAT not needed for node
#       up nat.sh wlan0 eth0 "10.1.30.0/24"

# Prism 54 Ad-hoc 
#auto eth2
#iface eth2 inet static
#       address 10.1.30.1
#       netmask 255.255.255.0
#       broadcast 10.1.30.255
#		#gateway 10.1.30.1
#       up iwconfig eth2 essid voyage-adhoc mode Ad-hoc
#		# NAT not needed for node
#       up nat.sh eth2 eth0 "10.1.30.0/24"
       
EOF

